## harmattan-lockscreen 0-1

=== debian/changelog ===
harmattan-lockscreen (0-1) stable; urgency=low

  * intial release

 -- alfiansyah rahman <cloud_strife@ovi.com>  Mon, 03 Oct 2011 16:05:26 +0000
