=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/harmattan-lockscreen" install
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen"

#	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen.ini" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen.ini"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/Thumbs.db" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/Thumbs.db"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b0.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b0.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b1.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b1.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b2.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b2.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b3.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b3.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b4.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b4.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b5.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b5.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/b6.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/b6.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/background.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/background.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/call.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/call.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/charge.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/charge.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-35g-active.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-35g-active.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-3g.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-3g.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-bluetooth-active.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-bluetooth-active.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-bluetooth.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-bluetooth.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-gsm.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-gsm.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network0.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network0.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network1.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network1.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network2.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network2.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network2k.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network2k.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network3.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network3.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network4.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network4.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network5.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-network5.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-packetdata6.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-packetdata6.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-silent.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-silent.png"
	mkdir -p "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/"
	cp -a "src/opt/qtlockscreen/harmattan-lockscreen/icon-s-status-wlan.png" "$(CURDIR)/debian/harmattan-lockscreen//opt/qtlockscreen/harmattan-lockscreen/icon-s-status-wlan.png"
